Bug 427593 - Plasma Crash When Attempting to Delete Actvity
Summary: Plasma Crash When Attempting to Delete Actvity
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: general (show other bugs)
Version: 5.19.5
Platform: Neon Linux
: NOR crash
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2020-10-12 13:33 UTC by David R. Bergstein
Modified: 2021-02-08 16:08 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (9.71 KB, text/plain)
2021-01-20 14:56 UTC, Unknown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David R. Bergstein 2020-10-12 13:33:57 UTC
Application: plasmashell (5.19.5)

Qt Version: 5.15.0
Frameworks Version: 5.75.0
Operating System: Linux 5.9.0-050900-generic x86_64
Windowing system: X11
Distribution: KDE neon User Edition 5.19

-- Information about the crash:
- What I was doing when the application crashed:

Went to Activities
Selected Unused Activity and Clicked On Delete
Plasma then Crashed

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma (plasmashell), signal: Aborted

[KCrash Handler]
#4  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#5  0x00007ff0b25cd859 in __GI_abort () at abort.c:79
#6  0x00007ff0b2a0fc39 in qt_message_fatal (context=..., message=<synthetic pointer>...) at global/qlogging.cpp:1914
#7  QMessageLogger::fatal(char const*, ...) const (this=this@entry=0x7fff6dd32620, msg=msg@entry=0x7ff0b45b6ee8 "Object %p destroyed while one of its QML signal handlers is in progress.\nMost likely the object was deleted synchronously (use QObject::deleteLater() instead), or the application is running a nested e"...) at global/qlogging.cpp:893
#8  0x00007ff0b4464cee in QQmlData::destroyed(QObject*) (this=<optimized out>, object=0x562d0c689920) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qarraydata.h:208
#9  0x00007ff0b2c62357 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1001
#10 0x00007ff0b48f434a in QQuickItem::~QQuickItem() (this=0x562d0c689920, __in_chrg=<optimized out>) at items/qquickitem.cpp:2364
#11 0x00007ff0b4a6faf9 in QQmlPrivate::QQmlElement<QQuickFocusScope>::~QQmlElement() (this=0x562d0c689920, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:142
#12 QQmlPrivate::QQmlElement<QQuickFocusScope>::~QQmlElement() (this=0x562d0c689920, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#13 0x00007ff0b2c57bae in QObjectPrivate::deleteChildren() (this=0x562d0c681bd0) at kernel/qobject.cpp:2104
#14 0x00007ff0b2c625d6 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#15 0x00007ff0b48f434a in QQuickItem::~QQuickItem() (this=0x562d0c681b10, __in_chrg=<optimized out>) at items/qquickitem.cpp:2364
#16 0x00007ff0b4a6d349 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x562d0c681b10, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:142
#17 QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x562d0c681b10, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#18 0x00007ff0b2c57bae in QObjectPrivate::deleteChildren() (this=0x562d0c67eae0) at kernel/qobject.cpp:2104
#19 0x00007ff0b2c625d6 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#20 0x00007ff0b48f434a in QQuickItem::~QQuickItem() (this=0x562d0c67ecb0, __in_chrg=<optimized out>) at items/qquickitem.cpp:2364
#21 0x00007ff0b4a6d349 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x562d0c67ecb0, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:142
#22 QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x562d0c67ecb0, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#23 0x00007ff0b2c57bae in QObjectPrivate::deleteChildren() (this=0x562d0c6724c0) at kernel/qobject.cpp:2104
#24 0x00007ff0b2c625d6 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#25 0x00007ff0b48f434a in QQuickItem::~QQuickItem() (this=0x562d0c67cb50, __in_chrg=<optimized out>) at items/qquickitem.cpp:2364
#26 0x00007ff0b4a6d349 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x562d0c67cb50, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:142
#27 QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x562d0c67cb50, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#28 0x00007ff0b1fbb55f in QQmlDelegateModel::~QQmlDelegateModel() (this=0x562d0d6a0ea0, __in_chrg=<optimized out>) at /usr/include/c++/9/bits/atomic_base.h:413
#29 0x00007ff0b1fbb6ed in QQmlDelegateModel::~QQmlDelegateModel() (this=0x562d0d6a0ea0, __in_chrg=<optimized out>) at qqmldelegatemodel.cpp:257
#30 0x00007ff0b49f37d0 in QQuickRepeaterPrivate::~QQuickRepeaterPrivate() (this=0x562d0d6a0a00, __in_chrg=<optimized out>) at /usr/include/c++/9/bits/atomic_base.h:413
#31 0x00007ff0b49f386d in QQuickRepeaterPrivate::~QQuickRepeaterPrivate() (this=0x562d0d6a0a00, __in_chrg=<optimized out>) at items/qquickrepeater.cpp:61
#32 0x00007ff0b2c6261e in QScopedPointerDeleter<QObjectData>::cleanup(QObjectData*) (pointer=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:52
#33 QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::~QScopedPointer() (this=0x562d0d6a0948, __in_chrg=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:107
#34 QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:972
#35 0x00007ff0b48f434a in QQuickItem::~QQuickItem() (this=0x562d0d6a0940, __in_chrg=<optimized out>) at items/qquickitem.cpp:2364
#36 0x00007ff0b4a71d39 in QQmlPrivate::QQmlElement<QQuickRepeater>::~QQmlElement() (this=0x562d0d6a0940, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:142
#37 QQmlPrivate::QQmlElement<QQuickRepeater>::~QQmlElement() (this=0x562d0d6a0940, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#38 0x00007ff0b2c57bae in QObjectPrivate::deleteChildren() (this=0x7ff00c06c850) at kernel/qobject.cpp:2104
#39 0x00007ff0b2c625d6 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#40 0x00007ff0b48f434a in QQuickItem::~QQuickItem() (this=0x562d0de4e780, __in_chrg=<optimized out>) at items/qquickitem.cpp:2364
#41 0x00007ff0b4a6f142 in QQuickColumn::~QQuickColumn() (this=0x562d0de4e780, __in_chrg=<optimized out>) at ../../include/QtQuick/5.15.0/QtQuick/private/../../../../../src/quick/items/qquickpositioners_p.h:235
#42 QQmlPrivate::QQmlElement<QQuickColumn>::~QQmlElement() (this=0x562d0de4e780, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#43 QQmlPrivate::QQmlElement<QQuickColumn>::~QQmlElement() (this=0x562d0de4e780, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#44 0x00007ff0b2c57bae in QObjectPrivate::deleteChildren() (this=0x562d0d69ce20) at kernel/qobject.cpp:2104
#45 0x00007ff0b2c625d6 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#46 0x00007ff0b48f434a in QQuickItem::~QQuickItem() (this=0x562d0d69cd60, __in_chrg=<optimized out>) at items/qquickitem.cpp:2364
#47 0x00007ff0b4a6f889 in QQmlPrivate::QQmlElement<QQuickFlickable>::~QQmlElement() (this=0x562d0d69cd60, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:142
#48 QQmlPrivate::QQmlElement<QQuickFlickable>::~QQmlElement() (this=0x562d0d69cd60, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#49 0x00007ff0b2c57bae in QObjectPrivate::deleteChildren() (this=0x562d0d687a40) at kernel/qobject.cpp:2104
#50 0x00007ff0b2c625d6 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#51 0x00007ff0b48f434a in QQuickItem::~QQuickItem() (this=0x562d0d687980, __in_chrg=<optimized out>) at items/qquickitem.cpp:2364
#52 0x00007ff0b4a6faf9 in QQmlPrivate::QQmlElement<QQuickFocusScope>::~QQmlElement() (this=0x562d0d687980, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:142
#53 QQmlPrivate::QQmlElement<QQuickFocusScope>::~QQmlElement() (this=0x562d0d687980, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#54 0x00007ff0b2c57bae in QObjectPrivate::deleteChildren() (this=0x562d0b897b60) at kernel/qobject.cpp:2104
#55 0x00007ff0b2c625d6 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#56 0x00007ff0b48f434a in QQuickItem::~QQuickItem() (this=0x562d0dd56930, __in_chrg=<optimized out>) at items/qquickitem.cpp:2364
#57 0x00007ff0b4a6d349 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x562d0dd56930, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:142
#58 QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement() (this=0x562d0dd56930, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#59 0x00007ff0b2c57bae in QObjectPrivate::deleteChildren() (this=0x7ff0a80036c0) at kernel/qobject.cpp:2104
#60 0x00007ff0b2c625d6 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#61 0x00007ff0b48f434a in QQuickItem::~QQuickItem() (this=0x562d0bfe7390, __in_chrg=<optimized out>) at items/qquickitem.cpp:2364
#62 0x00007ff0b4a6faf9 in QQmlPrivate::QQmlElement<QQuickFocusScope>::~QQmlElement() (this=0x562d0bfe7390, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:142
#63 QQmlPrivate::QQmlElement<QQuickFocusScope>::~QQmlElement() (this=0x562d0bfe7390, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:144
#64 0x00007ff0b2c5aec3 in QObject::event(QEvent*) (this=this@entry=0x562d0bfe7390, e=e@entry=0x562d0cc1fd80) at kernel/qobject.cpp:1301
#65 0x00007ff0b48f5f09 in QQuickItem::event(QEvent*) (this=0x562d0bfe7390, ev=0x562d0cc1fd80) at items/qquickitem.cpp:8199
#66 0x00007ff0b37c4cc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x562d0a873090, receiver=receiver@entry=0x562d0bfe7390, e=e@entry=0x562d0cc1fd80) at kernel/qapplication.cpp:3671
#67 0x00007ff0b37cdc70 in QApplication::notify(QObject*, QEvent*) (this=0x7fff6dd3ba00, receiver=0x562d0bfe7390, e=0x562d0cc1fd80) at kernel/qapplication.cpp:3417
#68 0x00007ff0b2c2d6aa in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x562d0bfe7390, event=0x562d0cc1fd80) at ../../include/QtCore/5.15.0/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#69 0x00007ff0b2c2ffa1 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=0x0, event_type=0, data=0x562d0a867d50) at kernel/qcoreapplication.cpp:1815
#70 0x00007ff0b2c88837 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x562d0a8e82e0) at kernel/qeventdispatcher_glib.cpp:277
#71 0x00007ff0b100cfbd in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#72 0x00007ff0b100d240 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#73 0x00007ff0b100d2e3 in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#74 0x00007ff0b2c87e92 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x562d0a8ed470, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#75 0x00007ff0b2c2c1bb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fff6dd33840, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#76 0x00007ff0b39d020d in QDialog::exec() (this=this@entry=0x7fff6dd338d0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#77 0x00007ff0b3a0a1f6 in showNewMessageBox(QWidget*, QMessageBox::Icon, QString const&, QString const&, QMessageBox::StandardButtons, QMessageBox::StandardButton) (parent=parent@entry=0x0, icon=icon@entry=QMessageBox::Question, title=..., text=..., buttons=..., defaultButton=defaultButton@entry=QMessageBox::NoButton) at dialogs/qmessagebox.cpp:1647
#78 0x00007ff0b3a0a2da in QMessageBox::question(QWidget*, QString const&, QString const&, QFlags<QMessageBox::StandardButton>, QMessageBox::StandardButton) (parent=parent@entry=0x0, title=..., text=..., buttons=..., buttons@entry=..., defaultButton=defaultButton@entry=QMessageBox::NoButton) at dialogs/qmessagebox.cpp:1715
#79 0x00007ff0306b20bd in ActivitySettings::deleteActivity(QString const&) (this=<optimized out>, id=...) at /usr/include/KF5/KI18n/klocalizedstring.h:1415
#80 0x00007ff0306b1813 in ActivitySettings::qt_metacall(QMetaObject::Call, int, void**) (this=0x562d0d6abb70, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x7fff6dd33b30) at ./obj-x86_64-linux-gnu/kcms/activities/imports/kactivitiessettingsplugin_autogen/EWIEGA46WW/moc_activitysettings.cpp:140
#81 0x00007ff0b44c0365 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=0x7fff6dd33e70, type=QMetaObject::InvokeMetaMethod, index=<optimized out>, argv=<optimized out>) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#82 0x00007ff0b4389245 in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., index=<optimized out>, returnType=<optimized out>, argCount=<optimized out>, argTypes=<optimized out>, engine=<optimized out>, callArgs=<optimized out>, callType=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1301
#83 0x00007ff0b438b347 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., data=..., engine=0x562d0a992ce0, callArgs=0x7ff0a73c0790, callType=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:285
#84 0x00007ff0b438c25a in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at jsruntime/qv4qobjectwrapper.cpp:2128
#85 0x00007ff0b43ac271 in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4functionobject_p.h:172
#86 QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7fff6dd34160, engine=0x562d0a992ce0, code=0x7ff0a73c0740 "\340\027\v\247\360\177") at jsruntime/qv4vme_moth.cpp:754
#87 0x00007ff0b43ae1af in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7fff6dd34160, engine=engine@entry=0x562d0a992ce0) at jsruntime/qv4vme_moth.cpp:463
#88 0x00007ff0b433adfd in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x562d0c67c330, thisObject=<optimized out>, argv=argv@entry=0x7ff0a73c0708, argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:69
#89 0x00007ff0b44e1607 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x562d0c68fb00, callData=callData@entry=0x7ff0a73c06d8, isUndefined=isUndefined@entry=0x0) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:343
#90 0x00007ff0b44842ce in QQmlBoundSignalExpression::evaluate(void**) (this=<optimized out>, a=<optimized out>) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#91 0x00007ff0b4485368 in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) (e=0x562d0c68fab0, a=0x7fff6dd36260) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#92 0x00007ff0b44bfdcd in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=<optimized out>, a=a@entry=0x7fff6dd36260) at qml/qqmlnotifier.cpp:104
#93 0x00007ff0b4462c7f in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) (object=0x562d0c689920, index=52, a=0x7fff6dd36260) at qml/qqmlengine.cpp:834
#94 0x00007ff0b2c64135 in doActivate<false>(QObject*, int, void**) (sender=0x562d0c689920, signal_index=52, argv=0x7fff6dd36260) at kernel/qobject_p.h:110
#95 0x00007ff0b445db9b in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at qml/qqmlvmemetaobject.cpp:969
#96 0x00007ff0b445caa4 in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#97 0x00007ff0b445caa4 in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#98 0x00007ff0b44c0365 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=this@entry=0x7fff6dd36550, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, index@entry=69, argv=argv@entry=0x7fff6dd36260) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#99 0x00007ff0b4389614 in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., index=69, returnType=returnType@entry=43, argCount=argCount@entry=0, argTypes=argTypes@entry=0x0, engine=engine@entry=0x562d0a992ce0, callArgs=0x7ff0a73c06a0, callType=QMetaObject::InvokeMetaMethod) at jsruntime/qv4qobjectwrapper.cpp:1319
#100 0x00007ff0b438b284 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., data=..., engine=0x562d0a992ce0, callArgs=0x7ff0a73c06a0, callType=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:285
#101 0x00007ff0b438c25a in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at jsruntime/qv4qobjectwrapper.cpp:2128
#102 0x00007ff0b43ac271 in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4functionobject_p.h:172
#103 QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7fff6dd36840, engine=0x562d0a992ce0, code=0x7ff0a73c0658 "\340\246\005\247\360\177") at jsruntime/qv4vme_moth.cpp:754
#104 0x00007ff0b43ae1af in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7fff6dd36840, engine=engine@entry=0x562d0a992ce0) at jsruntime/qv4vme_moth.cpp:463
#105 0x00007ff0b433adfd in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x562d0c492b60, thisObject=<optimized out>, argv=argv@entry=0x7ff0a73c0618, argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:69
#106 0x00007ff0b44e1607 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x562d0c694f20, callData=callData@entry=0x7ff0a73c05e8, isUndefined=isUndefined@entry=0x0) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:343
#107 0x00007ff0b44842ce in QQmlBoundSignalExpression::evaluate(void**) (this=<optimized out>, a=<optimized out>) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#108 0x00007ff0b4485368 in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) (e=0x562d0c690fc0, a=0x7fff6dd38550) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#109 0x00007ff0b44bfdcd in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=<optimized out>, a=a@entry=0x7fff6dd38550) at qml/qqmlnotifier.cpp:104
#110 0x00007ff0b4462c7f in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) (object=0x562d0c68b860, index=3, a=0x7fff6dd38550) at qml/qqmlengine.cpp:834
#111 0x00007ff0b2c64135 in doActivate<false>(QObject*, int, void**) (sender=0x562d0c68b860, signal_index=3, argv=0x7fff6dd38550) at kernel/qobject_p.h:110
#112 0x00007ff0b2c5d977 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=<optimized out>, m=m@entry=0x7ff0a43310a0 <QQuickAction1::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff6dd38550) at kernel/qobject.cpp:3946
#113 0x00007ff0a430b573 in QQuickAction1::triggered(QObject*) (this=<optimized out>, _t1=<optimized out>) at .moc/moc_qquickaction_p.cpp:362
#114 0x00007ff0a42e173f in QQuickAction1::trigger(QObject*) (this=<optimized out>, source=<optimized out>) at qquickaction.cpp:458
#115 0x00007ff0a430b852 in QQuickAction1::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=_o@entry=0x562d0c68b860, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=12, _a=_a@entry=0x7fff6dd38720) at .moc/moc_qquickaction_p.cpp:170
#116 0x00007ff0a430bf33 in QQuickAction1::qt_metacall(QMetaObject::Call, int, void**) (this=0x562d0c68b860, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0x7fff6dd38720) at .moc/moc_qquickaction_p.cpp:331
#117 0x00007ff0b44c0365 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=0x7fff6dd38a60, type=QMetaObject::InvokeMetaMethod, index=<optimized out>, argv=<optimized out>) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#118 0x00007ff0b4389245 in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., index=<optimized out>, returnType=<optimized out>, argCount=<optimized out>, argTypes=<optimized out>, engine=<optimized out>, callArgs=<optimized out>, callType=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1301
#119 0x00007ff0b438b347 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., data=..., engine=0x562d0a992ce0, callArgs=0x7ff0a73c0598, callType=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:285
#120 0x00007ff0b438c56f in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at jsruntime/qv4qobjectwrapper.cpp:1642
#121 0x00007ff0b43ac271 in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4functionobject_p.h:172
#122 QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7fff6dd38d50, engine=0x562d0a992ce0, code=0x7ff0a73c0548 "\240\254\005\247\360\177") at jsruntime/qv4vme_moth.cpp:754
#123 0x00007ff0b43ae1af in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7fff6dd38d50, engine=engine@entry=0x562d0a992ce0) at jsruntime/qv4vme_moth.cpp:463
#124 0x00007ff0b433adfd in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x562d0c492d90, thisObject=<optimized out>, argv=argv@entry=0x7ff0a73c0508, argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:69
#125 0x00007ff0b44e1607 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x562d0c68d1c0, callData=callData@entry=0x7ff0a73c04d8, isUndefined=isUndefined@entry=0x0) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:343
#126 0x00007ff0b44842ce in QQmlBoundSignalExpression::evaluate(void**) (this=<optimized out>, a=<optimized out>) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#127 0x00007ff0b4485368 in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) (e=0x562d0c68d170, a=0x7fff6dd3aa60) at ../../include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#128 0x00007ff0b44bfdcd in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=<optimized out>, a=a@entry=0x7fff6dd3aa60) at qml/qqmlnotifier.cpp:104
#129 0x00007ff0b4462c7f in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) (object=0x562d0c68c1c0, index=45, a=0x7fff6dd3aa60) at qml/qqmlengine.cpp:834
#130 0x00007ff0b2c64135 in doActivate<false>(QObject*, int, void**) (sender=0x562d0c68c1c0, signal_index=45, argv=0x7fff6dd3aa60) at kernel/qobject_p.h:110
#131 0x00007ff0b2c5d977 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x562d0c68c1c0, m=m@entry=0x7ff0b4bdc720 <QQuickMouseArea::staticMetaObject>, local_signal_index=local_signal_index@entry=15, argv=argv@entry=0x7fff6dd3aa60) at kernel/qobject.cpp:3946
#132 0x00007ff0b4958ad6 in QQuickMouseArea::released(QQuickMouseEvent*) (this=this@entry=0x562d0c68c1c0, _t1=<optimized out>, _t1@entry=0x562d0c68c438) at .moc/moc_qquickmousearea_p.cpp:665
#133 0x00007ff0b495a245 in QQuickMouseArea::setPressed(Qt::MouseButton, bool, Qt::MouseEventSource) (this=this@entry=0x562d0c68c1c0, button=<optimized out>, p=p@entry=false, source=<optimized out>) at items/qquickmousearea.cpp:1230
#134 0x00007ff0b495b423 in QQuickMouseArea::mouseReleaseEvent(QMouseEvent*) (this=0x562d0c68c1c0, event=0x7fff6dd3b510) at /usr/include/x86_64-linux-gnu/qt5/QtGui/qevent.h:132
#135 0x00007ff0b48f5cc8 in QQuickItem::event(QEvent*) (this=0x562d0c68c1c0, ev=0x7fff6dd3b510) at items/qquickitem.cpp:8128
#136 0x00007ff0b37c4cc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x562d0a873090, receiver=receiver@entry=0x562d0c68c1c0, e=e@entry=0x7fff6dd3b510) at kernel/qapplication.cpp:3671
#137 0x00007ff0b37cdc70 in QApplication::notify(QObject*, QEvent*) (this=0x7fff6dd3ba00, receiver=0x562d0c68c1c0, e=0x7fff6dd3b510) at kernel/qapplication.cpp:3417
#138 0x00007ff0b2c2d6aa in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x562d0c68c1c0, event=0x7fff6dd3b510) at ../../include/QtCore/5.15.0/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#139 0x00007ff0b490fa45 in QQuickWindowPrivate::deliverMouseEvent(QQuickPointerMouseEvent*) (this=this@entry=0x562d0aca5fb0, pointerEvent=0x562d0cd6ea50) at items/qquickwindow.cpp:1900
#140 0x00007ff0b491116f in QQuickWindowPrivate::deliverPointerEvent(QQuickPointerEvent*) (this=this@entry=0x562d0aca5fb0, event=0x562d0cd6ea50) at items/qquickwindow.cpp:2488
#141 0x00007ff0b4912099 in QQuickWindowPrivate::handleMouseEvent(QMouseEvent*) (event=0x7fff6dd3b510, this=0x562d0aca5fb0) at items/qquickwindow.cpp:2337
#142 QQuickWindowPrivate::handleMouseEvent(QMouseEvent*) (this=0x562d0aca5fb0, event=0x7fff6dd3b510) at items/qquickwindow.cpp:2290
#143 0x00007ff0b306883d in QWindow::event(QEvent*) (this=this@entry=0x562d0adab7e0, ev=ev@entry=0x7fff6dd3b510) at kernel/qwindow.cpp:2433
#144 0x00007ff0b4913abb in QQuickWindow::event(QEvent*) (this=this@entry=0x562d0adab7e0, e=e@entry=0x7fff6dd3b510) at items/qquickwindow.cpp:1782
#145 0x00007ff0b502e773 in PlasmaQuick::Dialog::event(QEvent*) (this=0x562d0adab7e0, event=0x7fff6dd3b510) at ./src/plasmaquick/dialog.cpp:1352
#146 0x00007ff0b37c4cc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x562d0a873090, receiver=receiver@entry=0x562d0adab7e0, e=e@entry=0x7fff6dd3b510) at kernel/qapplication.cpp:3671
#147 0x00007ff0b37cdc70 in QApplication::notify(QObject*, QEvent*) (this=0x7fff6dd3ba00, receiver=0x562d0adab7e0, e=0x7fff6dd3b510) at kernel/qapplication.cpp:3417
#148 0x00007ff0b2c2d6aa in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x562d0adab7e0, event=0x7fff6dd3b510) at ../../include/QtCore/5.15.0/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#149 0x00007ff0b305cf78 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) (e=e@entry=0x562d0dec6a40) at kernel/qguiapplication.cpp:2214
#150 0x00007ff0b305e5b5 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) (e=e@entry=0x562d0dec6a40) at kernel/qguiapplication.cpp:1946
#151 0x00007ff0b30362cb in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1175
#152 0x00007ff0ae72299e in xcbSourceDispatch(GSource*, GSourceFunc, gpointer) (source=<optimized out>) at qxcbeventdispatcher.cpp:105
#153 0x00007ff0b100cfbd in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#154 0x00007ff0b100d240 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#155 0x00007ff0b100d2e3 in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#156 0x00007ff0b2c87e92 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x562d0a8ed470, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#157 0x00007ff0b2c2c1bb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fff6dd3b8b0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#158 0x00007ff0b2c34354 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#159 0x0000562d0a205c09 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./shell/main.cpp:224
[Inferior 1 (process 15430) detached]

Possible duplicates by query: bug 427384, bug 426926, bug 426449, bug 426368, bug 425987.

Reported using DrKonqi
Comment 1 Paul Worrall 2020-11-13 17:29:35 UTC
Confirmed on KDE Neon User Edition:

Operating System: KDE neon 5.20
KDE Plasma Version: 5.20.3
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.1
Kernel Version: 5.4.0-53-generic
OS Type: 64-bit
Processors: 2 × AMD A6-6400K APU with Radeon(tm) HD Graphics
Memory: 7.7 GiB of RAM
Graphics Processor: AMD CEDAR
Comment 2 Paul Worrall 2020-11-14 07:44:41 UTC
This crash occurs when trying to delete an activity using the trash-can button on the activity switcher.  

Using System Settings=>Workspace Behaviour=>Activities I can delete activities OK
Comment 3 Unknown 2021-01-20 14:56:31 UTC
Created attachment 135017 [details]
New crash information added by DrKonqi

plasmashell (5.20.5) using Qt 5.15.2

Confirming the same issue on Arch. Can delete them from system settings as well without crashing, so seems it's only related to the activites UI.

-- Backtrace (Reduced):
#7  0x00007f81b0ac4651 in QQmlData::destroyed(QObject*) () at /usr/lib/libQt5Qml.so.5
#8  0x00007f81af59fc51 in QObject::~QObject() () at /usr/lib/libQt5Core.so.5
[...]
#10 0x00007f81af59510e in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5
#11 0x00007f81af59ff75 in QObject::~QObject() () at /usr/lib/libQt5Core.so.5
[...]
#13 0x00007f81af59510e in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5
Comment 4 Bug Janitor Service 2021-02-08 13:22:45 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/341
Comment 5 Nicolas Fella 2021-02-08 16:06:03 UTC
Git commit 1be25decb52d5502ff8d922c02a3205ceee1143a by Nicolas Fella, on behalf of Willyanto Willyanto.
Committed on 08/02/2021 at 16:05.
Pushed by nicolasfella into branch 'master'.

Fix crash when deleting activity from activity manager

When deleting activity from activity manager, the delete button is destroyed
while handling onClicked signal. This happens because
ActivitySettings.deleteActivity() is calling QMessageBox::question() that
waits for user confirmation.

Change deleteActivity call to use QMetaObject with QueuedConnection as the
connectivity type. This allows the delete button to be destroyed without
having to wait for user confirmation.
Related: bug 426926

M  +7    -5    kcms/activities/imports/activitysettings.cpp

https://invent.kde.org/plasma/plasma-desktop/commit/1be25decb52d5502ff8d922c02a3205ceee1143a
Comment 6 Nicolas Fella 2021-02-08 16:08:19 UTC
Git commit 41de7160674b3c76293209cf34acedd0af8d8dec by Nicolas Fella, on behalf of Willyanto Willyanto.
Committed on 08/02/2021 at 16:08.
Pushed by nicolasfella into branch 'Plasma/5.21'.

Fix crash when deleting activity from activity manager

When deleting activity from activity manager, the delete button is destroyed
while handling onClicked signal. This happens because
ActivitySettings.deleteActivity() is calling QMessageBox::question() that
waits for user confirmation.

Change deleteActivity call to use QMetaObject with QueuedConnection as the
connectivity type. This allows the delete button to be destroyed without
having to wait for user confirmation.
Related: bug 426926
(cherry picked from commit 1be25decb52d5502ff8d922c02a3205ceee1143a)

M  +7    -5    kcms/activities/imports/activitysettings.cpp

https://invent.kde.org/plasma/plasma-desktop/commit/41de7160674b3c76293209cf34acedd0af8d8dec